Package com.plannaplan.responses.mappers

# Class CommisionResponseMappers

java.lang.Object
com.plannaplan.responses.mappers.CommisionResponseMappers

    public class CommisionResponseMappers
    extends java.lang.Object

Mappers for Commisions to api responses

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CommisionResponseMappers()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.util.List<CommisionResponse>` | `mapToResponse​(java.util.List<com.plannaplan.entities.Commision> commisions)` |
`static java.util.List<CommisionWithAcceptedGroupsResponse>` | `mapToResponseWithExtraInforGroups​(java.util.List<com.plannaplan.entities.Commision> commisions)` |
`static java.util.List<CommisionWithGroupsResponse>` | `mapToResponseWithGroups​(java.util.List<com.plannaplan.entities.Commision> commisions)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommisionResponseMappers

public CommisionResponseMappers()

## Method Details

### mapToResponse

public static final java.util.List<CommisionResponse> mapToResponse​(java.util.List<com.plannaplan.entities.Commision> commisions)

Parameters:
  `commisions` - list of commisions to be mapped
Returns:
  list of api responses

### mapToResponseWithGroups

public static final java.util.List<CommisionWithGroupsResponse> mapToResponseWithGroups​(java.util.List<com.plannaplan.entities.Commision> commisions)

Parameters:
  `commisions` - list of commisions to be mapped
Returns:
  list of api responses

### mapToResponseWithExtraInforGroups

public static final java.util.List<CommisionWithAcceptedGroupsResponse> mapToResponseWithExtraInforGroups​(java.util.List<com.plannaplan.entities.Commision> commisions)

Parameters:
  `commisions` - list of commisions to be mapped
Returns:
  list of api responses